AutoCAD Inventor :: Balloon Renumbering Across Sheets
Jun 15, 2012
I am trying to modify the code Brian Ekins posted on Mod the Machine to renumber balloons across sheets. [uRL ....
It works great unless the item on the additional sheet is a sub-assembly. I believe it is because PartDef is declared as a PartComponentDefinition and there is nothing in the code to handle an assembly.
Dim partDef As PartComponentDefinition
Set partDef = drawBOMRow.BOMRow.ComponentDefinitions.Item(1)
partInfo(I - 1).ReferencedFile = partDef.Document.FullFileName
The Set partDef line was giving me a runtime error when it came to an assembly in the BOM until I added
"On Error Resume Next" at the start of the loop.
I tried changing the declaration to ComponentDefinition. It compiled fine, but didn't do anything. I think I'll have to add some duplicate code to handle an assembly in the BOM. Is there a better way to do this? Am I even on the right track?
View 3 Replies
ADVERTISEMENT
May 15, 2013
i = MessageBox.Show("Do you wish to Renumber & Sort BOM?", "My iLogic Dialog", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1) If i = vbyes ThenTrace.WriteLine ("INV - Transfer; User Selection; Do you wish to Renumber & Sort BOM? - YES")'Renumbers & Sort BOMoPartsList1.Renumber oPartsList1.SaveItemOverridesToBOMoPartsList1.Sort("ITEM") Trace.WriteLine ("INV-ExternalRule - Renumber & Sort BOM#")Else if i = vbno Trace.WriteLine ("INV - Transfer; User Selection; Do you wish to change Renumber & Sort BOM? - NO")End if
what i want to do, is renumber the BOM by (001) then go to part list and sort by item.
View 9 Replies
View Related
Jun 14, 2012
shouldn't sheets marked as "exclude from count" not be counted?
I tried this in both 2013 and 2012 to see if maybe AutoDesk broke it, but it doesn't work in either one. This is easily reproducible for me, a file shouldn't be necessary. Just open up (or create) a multi sheet drawing. Go to edit sheet on one or two of them and check the "exclude form count" box. Now create a new iLogic rule and put the following line into it:
MsgBox("This is the number of sheets in the drawing: " & ThisDoc.Document.Sheets.Count, VBOkOnly, "Number of Sheets")
View 2 Replies
View Related
May 3, 2013
I would like to make use of " find in feature tree" feature, but in DWG mode; Right clicking instead in BOM on part # and showing (highlighting) the balloon in the DWG so you know where it is that you put your balloon.
View 1 Replies
View Related
Aug 15, 2012
I am putting balloons on an assembly drawing, but the circle is not appearing. The arrow, leader and number are there, but no circle. What could be wrong?
View 4 Replies
View Related
Sep 18, 2012
If you're displaying the part number in a balloon, is there any way to truncate what is shown?
e.g., I have a part number "abc12xyz89", and want the ballon to display only "xyz89".
View 4 Replies
View Related
Aug 16, 2012
I am preparing a weld map for our welding shop, and they would like me to balloon each joint and create a table with each joint's number, so that the welder/pressure tester can sign off. Is there a way to balloon joints and not parts, or make a custom ballooning scheme?
View 1 Replies
View Related
Jun 16, 2011
I created a hatched sketch on one of my views to represent filler material. I want to balloon to this hatched area, but it want grab it. I have the filler material setup as a custom part. I can also create a sketched symbol for this, but it doesn't appear that they would accept it either.
I am currently running Inventor 2010 Build 272, Release: 2010-sp3
View 2 Replies
View Related
Feb 5, 2008
How do I attach text to a balloon? For example, I want to add the text "2X" alongside the balloon to denote that there are 2 instances of this part.
I can't believe that you need to make a text box each and every time you need to do this! There has to be a simpler way.
View 9 Replies
View Related
Oct 18, 2005
If a balloon style is set to "Linear" the text in that balloon is automatically left aligned. If a balloon style is set to "None" the text in that balloon is automatically center aligned.
Is it possible to create a balloon with the balloon style set to "None", and have the text left aligned in a drawing document. Typically the balloon text is more that one line . The new line in inserted by pressing ctrl+Enter in the override value of the balloon.
View 2 Replies
View Related
Jul 15, 2013
I dont know if this is possible but what i am trying to do is create a custom detail ballon & outline similar to what is attached. this is how our client wants it to look & currently we create the detail & then sketch the outline & add a sketched symbol which has the identifier. We then turn off the detail layer which has the default outline.
View 1 Replies
View Related
Feb 27, 2012
When im replacing the balloon arrow it turns into a black dot. Pretty annoying to change all the dots to arrow everytime.
View 4 Replies
View Related
Nov 11, 2003
Can you attach text (qty or other info) to the side of a baloon or a point on the model view? If so can the qty update automatically?
View 3 Replies
View Related
May 31, 2012
I have an issue when using Auto Balloon.
Lets say for e.g. that I have 12 parts within an assembly, once auto balloon has done it’s job you notice that No. 9 balloon is blank and No. 10 balloon only shows 1 and not 10.
View 4 Replies
View Related
Nov 16, 2012
I'm using balloons to get information from parts, then writing that part info to a custom table. I need to keep track of which balloon corresponds to which table row.
Is there some object/property of Balloon where I can store a single number or string? I'm already using the value field, so that's unavailable to me.
Also, one balloon corresponds to one table entry. That means I cannot create a custom iProperty in the part the balloon is attached to since more than one balloon may reference the same part.
Win7 x64 - 16gb ram
i7 3610qm
FirePro M4000
Inventor 2013
ETO 6.1
View 8 Replies
View Related
Nov 28, 2012
I am trying to create & connect a Sketchedsymbol to a balloon. I was able to create the sketched symbol but, i was not able to connect to balloon.
The code is as below
Public Sub AddBalloonAnnotation()
Dim oGetPoint As New clsGetPoint ' custom class object
Dim oClick As Point2d
Dim DrawDoc As DrawingDocument
Dim oActiveSheet As Sheet
[Code] .......
View 2 Replies
View Related
Jun 17, 2013
is it possible to create a custom symbol for my balloon?
View 2 Replies
View Related
Jul 8, 2010
If we can access the Auto Balloon Command using Inventor Drawing API.
View 6 Replies
View Related
Apr 3, 2012
So I have set up a new style for rotate balloon text in Inventor 2011. But I am running into a problem when I pull the balloon away from the view to have a leader it does not stay rotated.
View 1 Replies
View Related
Jan 2, 2012
I have little problem for synchronize balloon with part list where some times I put single component to main assy for create detail drawing. The problem is balloon from single component must change manually for synchrone with Part List. If number changed in part list sometimes I forgot for change balloon. So it's become miss match between balloon and part list. How to make this become synchron.
Please see attached file.
View 5 Replies
View Related
Aug 23, 2012
I can not auto balloon an ipn view in a idw file? I can select the view to auto balloon but can not select any parts.
Inventor 2013
GeForce GTX 580
Windows 7 64 Bit
View 4 Replies
View Related
Apr 8, 2013
I am trying to get the balloons equidistant from each other and on the same horizontal "line", however when I try to place some balloons, I can not select the correct placement. The balloon is effectively acting like trying to put two magnets with the same polarity together... I just can't get it in the right place.
View 9 Replies
View Related
Nov 18, 2011
I have a piece of steel from the content centre 165mm long. The balloon (stacked format) quantity reads 165.000mm. I've had to format the parts list to get rid of the decimal places but I can't find a way of getting rid of them in the balloon. Any format setting somewhere?
View 4 Replies
View Related
Jul 29, 2013
In AutoCAD leader settings you can set the number of point so the leader looks standard. I am searching for this in inventor and am coming up empty. I have seen other engineering drawings where I can tell that the generated data in the balloon was entered from the parts column in the B.O.M. But instead of part numbers, I have seen text. and I have mine set up to generate the Balloons that way but I do not like the leader type it is giving me. The attachment is what my leaders are looking like in inventor.
View 1 Replies
View Related
Nov 6, 2013
I would like to make a split balloon where the top retrieves the item number and the bottom is a prompted text area. Is this possible?
If the above is not possible my fallback plan would like to make a sketched symbol function in exactly the same way. I believe this option would be significantly more code. If I have to go this route, is there a way to directly mimic getting the item number like the balloon function does?
--My current process involves attaching a user symbol, getting the proper leader node, attached entity, geometry, model geometry, containing occurrence, and then BOM of the component occurrence. Keep in mind this doesn't work for phantom or reference components.
Win7 x64 - 16gb ram
i7 3610qm
FirePro M4000
Inventor 2013
ETO 6.1
View 4 Replies
View Related
Nov 17, 2009
Using Inventor 11...How do I change change the balloon (item 40) to read qty of 2? There are 4 total in the assembly, but this particular balloon only shows where 2 are, and another item 40 balloon will show where the other 2 are.
View 9 Replies
View Related
Sep 9, 2013
How can i create a detail identification balloon in the idw's that prompt the user for the detail number and reference? Up to now we have been using sketched symbols balloon but are required to add the text manually as a second step. Is it possible in Inventor to combine this like easily done in Autocad.
AutoCAD 2011
Inventor Simulation 2011
Vault Professional 2012
View 5 Replies
View Related
Sep 27, 2010
How do I pick a part to balloon it when the line is actually two parts beside each other? eg a wall sheet welded to a square column. I can 'toggle" between the two but am unable to pick the other part so continually get the item balloon for the part I don't want.
Inventor Professional 2014.
Windows 7 64 bit.
View 9 Replies
View Related
Jun 6, 2012
So I'm playing around with Inventors Tube and Pipe to show how to do all of our flexible hose routing throuh our chassis. It is a large assemblly with alot of hoses, so it will take multiple views to show how to route all the hoses. I have done all the routing, but am now looking at how to document it.
I have the parts list setup to show each individual run. So for example if my assembly had two runs, my parts list would look like the following:
Item......Qty......Stock Number.........Description
1..........59".......6295645.................Gladhand to filter hose
2..........120"......6295645................Filter to Control Valve hose
Now my idea is to show a couple of ISO views on the front page, along with the parts list. On the ISO views I would make a bunch of Detail Views on the following sheets, and then in each detail view, I will use balloons to identify which lines are which.
Now say ther eare a dozen pages, I don't want people to search all 12 pages just to find which detail views Item 1 shows up in. Is there any way to automatically show in the Parts List that Item 1 is shown on pages 1,2,3,6,7,9,12 and that Item 2 is shown on pages 2,3,5,7,10,11,12? This list would populate based on which sheets have a balloon for that given item number.
Any better way to document hose runs in a large assembly? In the end the goal is so that someone could pick up the drawing package, know they are running the "Gladhand to Filter hose", find it in the parts list, and then flip to the appropriate pages that show how to route that hose.
View 9 Replies
View Related
May 29, 2013
I'm trying to create a macro which will attach a custom sketched symbol with a leader to some specific parts in a view. By modifying some sample code I managed to create a macro which will attach the sketched symbol to the currently selected edge (see code below). However I would like to select the view and let the code cycle trough all the parts and check the filename or a custom iProperty. If the filename has a certain pattern or a specific custom iProperty exists it should add the sketched symbol. I don't really see how I should do this, I can get a reference to the selected view and as far as I can see I can use the referencedfiledescripter to open the assembly and cycle through the occurences. However I don't see how I can use this to add the sketched symbol to the occurence in the drawing view.
' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument ' Set a reference to the active sheet. Dim oActiveSheet As Sheet Set oActiveSheet = oDrawDoc.ActiveSheet ' Set a reference to the drawing curve segment. ' This assumes that a drwaing curve is selected.
[Code] ......
View 9 Replies
View Related
Nov 13, 2012
How are arrowhead attachment locations calculated when using the Automatic Balloon command? Arrowheads seem to attached to objects at rather strange places!
I normally use auto-ballooning to place balloons within a drawing and then "season to taste". Is there a way to control how and where the arrowhead gets attached to an object?
View 3 Replies
View Related